sem_remove
shm_detach
Semaphore Functions
PHP Manual

# shm_attach

(PHP 4, PHP 5)

shm_attach — Creates or open a shared memory segment

### Description

int shm_attach ( int `$key` [, int `$memsize` [, int `$perm` ]] )

shm_attach() returns an id that can be used to access the System V shared memory with the given `key` , the first call creates the shared memory segment with `memsize` and the optional perm-bits `perm` .

A second call to shm_attach() for the same `key` will return a different shared memory identifier, but both identifiers access the same underlying shared memory. `memsize` and `perm` will be ignored.

### Parameters

`key`

  A numeric shared memory segment ID

`memsize`

  The memory size. If not provided, default to the sysvshm.init_mem in the php.ini, otherwise 10000 bytes.

`perm`

  The optional permission bits. Default to 0666.

### Return Values

Returns a shared memory segment identifier.

### See Also

- shm_detach()
- ftok()

sem_remove
shm_detach
Semaphore Functions
PHP Manual